Skip to main content
POST
/
v1
/
projects
/
{project_id}
/
models
/
{model_id}
/
download
Get Model Download Url
curl --request POST \
  --url https://api.landing.ai/v1/projects/{project_id}/models/{model_id}/download \
  --header 'Content-Type: application/json' \
  --data '
{
  "threshold": 123
}
'
import requests

url = "https://api.landing.ai/v1/projects/{project_id}/models/{model_id}/download"

payload = { "threshold": 123 }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({threshold: 123})
};

fetch('https://api.landing.ai/v1/projects/{project_id}/models/{model_id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "data": {
    "threshold": 123,
    "downloadUrl": "<string>"
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

apikey
string | null

Path Parameters

project_id
integer
required
model_id
string<uuid4>
required

Query Parameters

timeout
integer | null
default:60

Body

application/json
threshold
number
required

Response

Successful Response

data
ModelDownload · object | null
required